Source: singledispatch
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Homepage: https://docs.python.org/3/library/functools.html#functools.singledispatch
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.6
Vcs-Git: https://salsa.debian.org/python-team/packages/singledispatch.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/singledispatch

Package: python3-singledispatch
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: single-dispatch generic functions for Python
 PEP 443 proposed to expose a mechanism in the functools standard library
 module in Python 3.4 that provides a simple form of generic programming known
 as single-dispatch generic functions.
 .
 This library is a backport of this functionality to Python 2.6 - 3.3.
 .
 This is the Python 3 version of the library.
